osgText::Text::GlyphQuads Struct Reference

`#include <Text>`

## Public Types

typedef std::vector< Glyph * > | Glyphs

## Public Member Functions

| GlyphQuads ()
| GlyphQuads (const GlyphQuads &gq)
void | setupPrimitives (Text::BackdropType backdropType)
Glyphs & | getGlyphs ()
const Glyphs & | getGlyphs () const
void | resizeGLObjectBuffers (unsigned int maxSize)
void | releaseGLObjects (osg::State *state=0) const

## Public Attributes

Glyphs | _glyphs
osg::ref_ptr< osg::DrawElements > | _primitives

## Member Typedef Documentation

## Glyphs

typedef std::vector<Glyph*> osgText::Text::GlyphQuads::Glyphs

## Constructor & Destructor Documentation

## GlyphQuads() [1/2]

osgText::Text::GlyphQuads::GlyphQuads | ( |  | ) |

Referenced by GlyphQuads(), and releaseGLObjects().

## GlyphQuads() [2/2]

osgText::Text::GlyphQuads::GlyphQuads | ( | const GlyphQuads & | gq | ) |

References GlyphQuads().

## Member Function Documentation

## getGlyphs() [1/2]

Glyphs & osgText::Text::GlyphQuads::getGlyphs | ( |  | ) |

inline

References _glyphs.

## getGlyphs() [2/2]

const Glyphs & osgText::Text::GlyphQuads::getGlyphs | ( |  | ) | const

inline

References _glyphs.

## releaseGLObjects()

void osgText::Text::GlyphQuads::releaseGLObjects | ( | osg::State * | state = 0 | ) | const

If State is non-zero, this function releases OpenGL objects for the specified graphics context. Otherwise, releases OpenGL objexts for all graphics contexts.

References GlyphQuads().

## resizeGLObjectBuffers()

void osgText::Text::GlyphQuads::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

Resize any per context GLObject buffers to specified size.

## setupPrimitives()

void osgText::Text::GlyphQuads::setupPrimitives | ( | Text::BackdropType | backdropType | ) |

## Member Data Documentation

## _glyphs

Glyphs osgText::Text::GlyphQuads::_glyphs

Referenced by getGlyphs(), and getGlyphs().

## _primitives

osg::ref_ptr<osg::DrawElements> osgText::Text::GlyphQuads::_primitives

The documentation for this struct was generated from the following file:

- Text